<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.dataforms.Field</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.dataforms-module.html">Module&nbsp;dataforms</a> ::
        Class&nbsp;Field
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Field</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field">source&nbsp;code</a></span></p>
<pre class="base-tree">
                 object --+    
                          |    
<a href="pyxmpp.objects.StanzaPayloadObject-class.html">objects.StanzaPayloadObject</a> --+
                              |
                             <strong class="uidshort">Field</strong>
</pre>

<hr />
A data form field.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.dataforms.Field-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">values</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">field_type</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">label</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">options</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">required</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">desc</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">value</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize a <a href="pyxmpp.jabber.dataforms.Field-class.html" class="link">Field</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__getattr__"></a><span class="summary-sig-name">__getattr__</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.__getattr__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.dataforms.Field-class.html#__setattr__" class="summary-sig-name">__setattr__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>,
        <span class="summary-sig-arg">value</span>)</span><br />
      x.__setattr__('name', value) &lt;==&gt; x.name = value</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.__setattr__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.dataforms.Field-class.html#add_option" class="summary-sig-name">add_option</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">value</span>,
        <span class="summary-sig-arg">label</span>)</span><br />
      Add an option for the field.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.add_option">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.dataforms.Field-class.html#complete_xml_element" class="summary-sig-name">complete_xml_element</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>,
        <span class="summary-sig-arg">doc</span>)</span><br />
      Complete the XML node with <code class="link">self</code> content.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.complete_xml_element">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.objects.StanzaPayloadObject-class.html">objects.StanzaPayloadObject</a></code></b>:
      <code><a href="pyxmpp.objects.StanzaPayloadObject-class.html#as_xml">as_xml</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS METHODS ==================== -->
<a name="section-ClassMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.dataforms.Field-class.html" class="link">Field</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.dataforms.Field-class.html#_new_from_xml" class="summary-sig-name" onclick="show_private();">_new_from_xml</a>(<span class="summary-sig-arg">cls</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Create a new <a href="pyxmpp.jabber.dataforms.Field-class.html" class="link">Field</a> object from an XML element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field._new_from_xml">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="xml_element_name"></a><span class="summary-name">xml_element_name</span> = <code title="'field'"><code class="variable-quote">'</code><code class="variable-string">field</code><code class="variable-quote">'</code></code><br />
      : name for the XML element provided by the class.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="xml_element_namespace"></a><span class="summary-name">xml_element_namespace</span> = <code title="'jabber:x:data'"><code class="variable-quote">'</code><code class="variable-string">jabber:x:data</code><code class="variable-quote">'</code></code><br />
      : namespace URI for the XML element provided
by the class.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.dataforms.Field-class.html#allowed_types" class="summary-name">allowed_types</a> = <code title="('boolean',
 'fixed',
 'hidden',
 'jid-multi',
 'jid-single',
 'list-multi',
 'list-single',
 'text-multi',
..."><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">boolean</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">fixed</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">hidden</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">jid-multi</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">j</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="desc"></a><span class="summary-name">desc</span><br />
      : natural-language description of the field.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="label"></a><span class="summary-name">label</span><br />
      : field label (human-readable description).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="name"></a><span class="summary-name">name</span><br />
      : field name.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.dataforms.Option-class.html" class="link">Option</a></span>
    </td><td class="summary">
        <a name="options"></a><span class="summary-name">options</span><br />
      : field options (for &quot;list-multi&quot; or &quot;list-single&quot; fields).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">boolean</code></span>
    </td><td class="summary">
        <a name="required"></a><span class="summary-name">required</span><br />
      : <code class="link">True</code> when the field is required.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">str</code></span>
    </td><td class="summary">
        <a name="type"></a><span class="summary-name">type</span><br />
      : field type (&quot;boolean&quot;, &quot;fixed&quot;, &quot;hidden&quot;, &quot;jid-multi&quot;,
&quot;jid-single&quot;, &quot;list-multi&quot;, &quot;list-single&quot;, &quot;text-multi&quot;,
&quot;text-private&quot; or &quot;text-single&quot;).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">bool</code> for &quot;boolean&quot; field, <a href="pyxmpp.jid.JID-class.html" class="link">JID</a> for &quot;jid-single&quot;, <code class="link">list</code> of <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>
for &quot;jid-multi&quot;, <code class="link">list</code> of <code class="link">unicode</code> for &quot;list-multi&quot; and &quot;text-multi&quot;
and <code class="link">unicode</code> for other field types.</span>
    </td><td class="summary">
        <a name="value"></a><span class="summary-name">value</span><br />
      : field value parsed according to the form type.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="values"></a><span class="summary-name">values</span><br />
      : field values.
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">name</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">values</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">field_type</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">label</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">options</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">required</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">desc</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">value</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a <a href="pyxmpp.jabber.dataforms.Field-class.html" class="link">Field</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>name</code></strong> (: <code class="link">unicode</code>) - : field name.</li>
        <li><strong class="pname"><code>values</code></strong> (: <code class="link">list</code> of <code class="link">unicode</code>) - : raw field values. Not to be used together with <a href="pyxmpp.jabber.dataforms.Field-class.html#value" class="link">value</a>.</li>
        <li><strong class="pname"><code>field_type</code></strong> (: <code class="link">str</code>) - : field type.</li>
        <li><strong class="pname"><code>label</code></strong> (: <code class="link">unicode</code>) - : field label.</li>
        <li><strong class="pname"><code>options</code></strong> (: <code class="link">list</code> of <a href="pyxmpp.jabber.dataforms.Option-class.html" class="link">Option</a>) - : optional values for the field.</li>
        <li><strong class="pname"><code>required</code></strong> (: <code class="link">bool</code>) - : <code class="link">True</code> if the field is required.</li>
        <li><strong class="pname"><code>desc</code></strong> (: <code class="link">unicode</code>) - : natural-language description of the field.</li>
        <li><strong class="pname"><code>value</code></strong> (: <code class="link">bool</code> for &quot;boolean&quot; field, <a href="pyxmpp.jid.JID-class.html" class="link">JID</a> for &quot;jid-single&quot;, <code class="link">list</code> of <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>
for &quot;jid-multi&quot;, <code class="link">list</code> of <code class="link">unicode</code> for &quot;list-multi&quot; and &quot;text-multi&quot;
and <code class="link">unicode</code> for other field types.) - : field value or values in a field_type-specific type. May be used only
if <a href="pyxmpp.jabber.dataforms.Field-class.html#values" class="link">values</a> parameter is not provided.</li>
    </ul></dd>
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="__setattr__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__setattr__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">name</span>,
        <span class="sig-arg">value</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.__setattr__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>x.__setattr__('name', value) &lt;==&gt; x.name = value</p>
  <dl class="fields">
    <dt>Overrides:
        object.__setattr__
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="add_option"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_option</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">value</span>,
        <span class="sig-arg">label</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.add_option">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Add an option for the field.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>value</code></strong> (: <code class="link">list</code> of <code class="link">unicode</code>) - : option values.</li>
        <li><strong class="pname"><code>label</code></strong> (: <code class="link">unicode</code>) - : option label (human-readable description).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="complete_xml_element"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">complete_xml_element</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>,
        <span class="sig-arg">doc</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field.complete_xml_element">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Complete the XML node with <code class="link">self</code> content.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : XML node with the element being built. It has already
right name and namespace, but no attributes or content.</li>
        <li><strong class="pname"><code>doc</code></strong> (: <code class="link">libxml2.xmlDoc</code>) - : document to which the element belongs.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.objects.StanzaPayloadObject-class.html#complete_xml_element">objects.StanzaPayloadObject.complete_xml_element</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_new_from_xml"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_new_from_xml</span>(<span class="sig-arg">cls</span>,
        <span class="sig-arg">xmlnode</span>)</span>
    <br /><em class="fname">Class Method</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.dataforms-pysrc.html#Field._new_from_xml">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create a new <a href="pyxmpp.jabber.dataforms.Field-class.html" class="link">Field</a> object from an XML element.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : the XML element.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.dataforms.Field-class.html" class="link">Field</a></dt>
        <dd>the object created.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
<a name="section-ClassVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="allowed_types"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">allowed_types</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">boolean</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">fixed</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">hidden</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">jid-multi</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">jid-single</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">list-multi</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">list-single</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">text-multi</code><code class="variable-quote">'</code><code class="variable-op">,</code>
<code class="variable-ellipsis">...</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:00 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
